* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'MyCustomFont';
    src: url('./my-font.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


body {
    font-family: -apple-system, BlinkMacSystemFont,  'Segoe UI', 'PingFang SC', 'Hiragino Sans GB', 'Microsoft YaHei', sans-serif;
    line-height: 1.6;
    color: #631e12;
    background-color: #FFE1BB;
    overflow-x: hidden;
}

.pict{
    width: 100%;
    height: 100%;
}

/*header*/
header {
    background: #ffffff;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    position: sticky;
    top: 0;
    z-index: 1000;
}

nav {
    max-width: 1000px;
    margin: 0 auto;
    padding: 0.2rem 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo{
    display: flex;
    margin-left: 10px;
}

.logo-icon{
    width: 45px;
    height: 45px;
}

.logo-title{
    line-height: 50px;
    margin-left: 20px;
    font-size: 20px;
    color: #000000;
    font-weight: 600;
}

.section1{
    width: 100%;
    height: 40rem;
    background-image: url("./img/top.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.section1 > div{
    max-width: 1200px;
    height: 37rem;
    position: relative;
    margin: 0 auto;
}

.section1-btn{
    width: 14rem;
    position: absolute;
    bottom: 0;
    right: 0;
}

.main-content{
    width: 100%;
    background-image: url("./img/bg.png");
    background-repeat: no-repeat;
    background-size: cover;
    will-change: opacity;
}

.main-content1{
    max-width: 1200px;
    margin: 0 auto;
}

.section-content{
    width: 92%;
    margin: 0 auto 0;
    padding: 0 20px 20px 20px;
    color: #631e12;
    line-height: 1.5;
    border: 2px solid #9a4b0e;
    position: relative;
    background-color: #E9CFB4;
}

.section2{
    padding-top: 6rem;
}

.section2-title, .section4-title {
    width: 38%;
    /*margin: 0 auto 20px;*/
    font-family: 'MyCustomFont', -apple-system, BlinkMacSystemFont,  'Segoe UI', 'PingFang SC', 'Hiragino Sans GB', 'Microsoft YaHei', sans-serif;
    font-size:26px;
    font-weight: 600;
    text-align: center;
    color: #631e12;
    white-space: nowrap;
    height: 80px;
    line-height: 80px;
    letter-spacing: 2px;
    background-image: url("./img/bg_tt.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -3.5rem;
}

.section3{
    padding-top: 4.5rem;
}

.section3-content{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    height: 6rem;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 60%;
}

.section3-content-img{
    width: 10rem;
}

.section3-content-text{
    font-size:25px;
    font-weight: 600;
}

.section3 .section3-main{
    position: relative;
}

.section3 .section3-img1{
    position: absolute;
    width: 8rem;
    left: -3rem;
    top: -3rem;
}

.section3 .section3-img2{
    position: absolute;
    width: 8rem;
    right: -1rem;
}

.section3 .section3-img3{
    position: absolute;
    width: 8rem;
    right: -18rem;
    bottom: -16rem;
}

.section4{
    padding-top: 13rem;
    padding-bottom: 90px;
}

.section4-text{
    overflow: hidden;
    max-height: 400px;
    transition: max-height 0.3s ease;
}

.section4-text.expand{
    max-height: 3000px;
}

.mask {
  position: absolute;
  bottom: 24px;
  left: 0;
  width: 100%;
  height: 40px;
  background: linear-gradient(to bottom, transparent, #fff);
}

.text-wrapper.expand .mask{
    display: none;
}

.toggle {
    color: #1677ff;
    cursor: pointer;
    margin-top: 4px;
    user-select: none;
    font-weight: 600;
    position: absolute;
    right: 0;
    bottom: 0;
    padding-right: 20px;
}

@media (max-width: 2560px) {
    .section1{
        height: 50rem;
    }
    .section1 > div{
        height: 45rem;
        max-width: 1200px;
    }
    .section1-btn{
        width: 16rem;
    }
}

@media (max-width: 600px) {
    .section1 {
        height:12rem;
        background-image: url("./img/banner2.png");
    }
    .section1 > div{
        height: 11rem;
    }
    .section1-btn{
        width: 100px;
        right: 15px;
    }
    .section2 {
        padding-top: 4rem;
    }
    .section3{
        padding-top: 3rem;
    }
    .section3-content{
        height: 5rem;
        width:70%;
        gap: 10px;
    }
    .section3-content-text{
        font-size:18px;
    }
    .section3 .section3-img1{
        top: -4rem;
        left: -4rem;
    }
    .section3 .section3-img2 {
        right: -3rem;
    }
    .section2-title, .section4-title{
        width: 70%;
        font-size:20px;
    }
    .section4 {
        padding-top: 10rem;
    }

    .section4-text.expand{
        max-height: 5000px;
    }

}

footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #20130F;
    color: #e9cfb4;
    text-align: center;
    padding: 0.8rem;
    font-size: 1.2rem;
    z-index:999;
}

footer p {
    margin: 0.4rem 0;
}